# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Geo/Coder/Google.pm) perl(Mojo/Base.pm) perl(Mojolicious.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.05
%define module_name mojolicious-plugin-geocoder
BuildRequires: unzip
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Plugin for geocoding and reverse geocoding features!
Group: Development/Perl
License: perl
URL: http://search.cpan.org/~raigad/mojolicious-plugin-geocoder/

Source0: http://cpan.org.ua/authors/id/R/RA/RAIGAD/%{module_name}-%{module_version}.zip
BuildArch: noarch

%description
#Mojolicious lite

    plugin 'GeoCoder' => { language_code=> 'es' }; #by default language code 'en'

    #or you could do

    my $rh_conf = {
            language_code   => 'en',
            encoding        => 'latin1' #by default its utf-8
        };

    plugin 'GeoCoder' => $rh_conf;

    #in controller
    my $rh_location = $self->geocode({location=> 'London'});

    my $rh_location = $self->reverse_geocode({latlng=> '18.234686,73.446444'});

    #to get raw response from geocoder
    my $rh_location = $self->geocode({location=> 'London',raw_response => 1 });

    #To change language to fr and country to canada only for one request
    #Now following will return London from Canada instead of real London from UK
    my $rh_location = $self->geocode({location=> 'London',language_code=>'fr',country_code => 'ca' });

    #default response 
        {
            'lat'       => '51.5073509',
            'address'   => 'London, UK',
            'lng'       => '-0.1277583'
        };
%prep
%setup -n %{module_name}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/M*

%changelog
* Tue Dec 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

